/*
	MenuItem.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSButtonCell.h"

@interface NSMenuItem : NSButtonCell
{
    SEL                 updateAction;
}

- initTextCell:(NSString *)aString;
- init;

+ useUserKeyEquivalents:(BOOL)flag;

- setUpdateAction:(SEL)aSelector forMenu:aMenu;
- (NSString *)userKeyEquivalent;
- (SEL)updateAction;
- (BOOL)trackMouse:(NSEvent *)theEvent inRect:(NSRect)cellFrame ofView:controlView untilMouseUp:(BOOL)untilMouseUp;
- (BOOL)hasSubmenu;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end
