/*
	SelectionCell.h
	Application Kit, Release 2.0
	Copyright (c) 1988, 1989, 1990, NeXT, Inc.  All rights reserved. 
*/

#import "NSCell.h"

@interface NSSelectionCell : NSCell
{
}

- init;
- initTextCell:(NSString *)aString;

- (BOOL)isOpaque;
- setLeaf:(BOOL)flag;
- (BOOL)isLeaf;
- (NSSize)cellSizeForBounds:(NSRect)aRect;
- drawWithFrame:(NSRect)cellFrame inView:controlView;
- drawInteriorWithFrame:(NSRect)cellFrame inView:controlView;
- highlight:(BOOL)flag withFrame:(NSRect)cellFrame inView:(NSView *)controlView;

@end
